@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.optOutBox {
  padding: var(--space-s) var(--space-m);
  border-radius: 4px;
  background: var(--color-background-weakest);
}

.consentBox {
  padding: var(--space-xs) var(--space-m);
  background: var(--color-foreground-base);
  color: white;
  border-radius: 4px;

  max-width: 700px;
  display: flex;
  align-items: center;
  position: fixed;
  bottom: var(--size-s);
  left: 50%;
  transform: translateX(-50%);
  box-shadow: 0 4px 14px rgba(0, 0, 0, 0.2);
  z-index: 999;

  @include smaller-than-s {
    right: 0;
    left: 0;
    bottom: 0;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    transform: none;
    flex-direction: column;
    padding: var(--size-s);
  }
}

p.optOutNote {
  margin-bottom: 0;
}

.consentNote {
  margin-right: var(--size-s);

  @include smaller-than-s {
    margin-right: 0;
    margin-bottom: var(--size-s);
  }
}

.optOutButton {
  margin-top: var(--size-s);
}

.consentButton {
  min-width: 100px;
}
